package com.hzs.activity.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.activity.declaration.param.AcDeclarationParam;
import com.hzs.common.domain.activity.declaration.AcDeclarationGiftConfig;
import com.hzs.common.core.web.domain.AjaxResult;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bd
 * @since 2025-10-13
 */
public interface IAcDeclarationGiftConfigService extends IService<AcDeclarationGiftConfig> {


    AjaxResult getDetail(Integer pkId);

    String saveConfig(AcDeclarationParam acDeclarationParam);

    String updateConfig(AcDeclarationParam acDeclarationParam);

    String deleteConfig(Long pkId);

    void handleDeclarationData();

}
